> ## Documentation Index
> Fetch the complete documentation index at: https://telr-docs.cashfree.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Beneficiary History

> Use this API to fetch the transaction history for a particular beneficiary and for a desired period of time.



## OpenAPI

````yaml get /payout/v1/beneHistory
openapi: 3.0.0
info:
  title: Payouts
  version: 3.0.0
servers:
  - url: https://payout-api.cashfree.com
security:
  - {}
paths:
  /payout/v1/beneHistory:
    get:
      summary: Get Beneficiary History
      description: >-
        Use this API to fetch the transaction history for a particular
        beneficiary and for a desired period of time.
      operationId: getbeneficiary-history
      parameters:
        - name: beneId
          in: query
          description: >-
            The beneficiary id that you have created. Alphanumeric characters
            accepted.
          required: true
          style: form
          explode: true
          schema:
            type: string
        - name: startDate
          in: query
          description: Start date for the desired period. Format - yyyy-mm-dd
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: endDate
          in: query
          description: >-
            End date for the desired period. Format -  yyyy-mm-dd. If start date
            is provided,  end date is a mandatory. End date has to be a day less
            than current date.
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: perPage
          in: query
          description: >-
            Number of transactions to be displayed on the page. Maximum = 25.
            Default value set is 25.
          required: false
          style: form
          explode: true
          schema:
            type: number
            format: float
        - name: page
          in: query
          description: >-
            Will show the latest transfers on the first page. Minimum = 1.
            Default value set is 1.
          required: false
          style: form
          explode: true
          schema:
            type: number
            format: float
        - name: Authorization
          in: header
          description: Bearer auth token
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: Content-Type
          in: header
          description: application/json
          required: true
          style: simple
          explode: false
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_200_7'
              examples:
                Result:
                  value:
                    status: SUCCESS
                    subCode: '200'
                    message: Data retrieved successfully
                    data:
                      transfers:
                        - transferDate: '2020-06-16T00:00:00.000Z'
                          amount: '1'
                          mode: IMPS
                          beneId: John Doe
                          status: SUCCESS
                        - transferDate: '2020-05-28T00:00:00.000Z'
                          amount: '1'
                          mode: NEFT
                          beneId: John Doe
                          status: SUCCESS
                        - transferDate: '2020-05-15T00:00:00.000Z'
                          amount: '1.1'
                          mode: IMPS
                          beneId: John Doe
                          status: SUCCESS
                        - transferDate: '2020-05-15T00:00:00.000Z'
                          amount: '1.1'
                          mode: IMPS
                          beneId: John Doe
                          status: SUCCESS
                        - transferDate: '2020-05-15T00:00:00.000Z'
                          amount: '1'
                          mode: IMPS
                          beneId: John Doe
                          status: SUCCESS
        '403':
          description: '403'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_403'
        '422':
          description: '422'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_422_3'
      deprecated: false
      security: []
components:
  schemas:
    inline_response_200_7:
      type: object
      properties:
        status:
          type: string
          example: SUCCESS
        subCode:
          type: string
          example: '200'
        message:
          type: string
          example: Data retrieved successfully
        data:
          $ref: '#/components/schemas/inline_response_200_7_data'
    inline_response_403:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        subCode:
          type: string
          example: '403'
        message:
          type: string
          example: >-
            APIs not enabled. Please fill out the [Support
            Form](https://telr.cashfree.com/merchants/landing?env=prod&raise_issue=1)
    inline_response_422_3:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        subCode:
          type: string
          example: '422'
        message:
          type: string
          example: Please provide a valid beneId
    inline_response_200_7_data:
      type: object
      properties:
        transfers:
          type: array
          items:
            $ref: '#/components/schemas/inline_response_200_7_data_transfers'
    inline_response_200_7_data_transfers:
      type: object
      properties:
        transferDate:
          type: string
          example: '2020-06-16T00:00:00.000Z'
        amount:
          type: string
          example: '1'
        mode:
          type: string
          example: IMPS
        beneId:
          type: string
          example: John Doe
        status:
          type: string
          example: SUCCESS

````